Bug 780709 - (SOA-3161) Enabling compression on JBossWS webservice endpoints
Enabling compression on JBossWS webservice endpoints
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, JBossWS (Show other bugs)
5.1.0 GA
Unspecified Unspecified
high Severity high
: ---
: FUTURE
Assigned To: tcunning
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 06:36 EDT by Kevin Conner
Modified: 2013-10-11 14:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3741 Major Open Enabling compression on JBossWS webservice endpoints 2016-03-24 13:39 EDT
JBoss Issue Tracker JBQA-5063 Major Resolved Need a new SOA-P 5.2 test for: Enabling compression on JBossWS webservice endpoints (SOA-3161) 2016-03-24 13:39 EDT
JBoss Issue Tracker SOA-3161 Major Closed Enabling compression on JBossWS webservice endpoints 2016-03-24 13:39 EDT

  None (edit)
Description Kevin Conner 2011-07-12 06:36:33 EDT
Help Desk Ticket Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A0000007CJFt&sfdc.override=1
project_key: SOA

A customer requested the ability to enable compression on JBossWS endpoints, however the codebase used within SOA does not allow for features/interceptors to be specified on a global basis.

Within the ESB codebase we extend the CXF servlet in order to enable invm invocations with the CXF codebase, this same mechanism can be used to enable global features/interceptors by extending the servlet as follows.


public class ESBFeatureCXFServletExt extends ESBCXFServletExt
{
    private static Logger LOG = Logger.getLogger(ESBFeatureCXFServletExt.class) ;
    
    @Override
    public void loadBus(final ServletConfig config)
        throws ServletException
    {
        super.loadBus(config) ;
        if (bus.getExtension(ESBFeatureCXFServletExt.class) == null)
        {
            bus.setExtension(this, ESBFeatureCXFServletExt.class) ;
            final GZIPFeature feature = new GZIPFeature() ;
            feature.initialize(bus) ;
            LOG.info("Included GZIP Feature on CXF bus deployment") ;
        }
    }
}

This servlet will enable the GZIP feature on each CXF bus which is deployed.
Comment 1 Len DiMaggio 2011-08-05 13:51:34 EDT
Link: Added: This issue relates to JBQA-5063
Comment 2 Anne-Louise Tangring 2011-08-08 12:03:44 EDT
If this is only to modify some existing test cases, then it can go into 5.2, if it is more encompassing than that or will impact SOA 5.2 in any way, we need to discuss in team meeting.
Comment 3 Kevin Conner 2011-09-12 13:24:05 EDT
This would be a change to the ESB servlet used to augment the CXF behaviour.  We would modify it as above (or similar) to enable compression on the CXF webservices.

The change is minimal and benefits customer deployments of CXF webservices.

Note You need to log in before you can comment on or make changes to this bug.